/******************************************************************************
 * readpmud - command line app that reads from the pmud socket and prints out *
 *            the current status (time left, charge, etc etc                  *
 *                                                                            *
 * Author: Steven Hanley                                                      *
 * Date: 13/01/2001                                                           *
 * See CVS log for changes                                                    *
 ******************************************************************************/

#include <stdio.h>
#include "libreadpmud.h"

int main (int argc, char **argv) {
   readpm_pminfo *pm;

   pm = readpm_parse_pmstring (readpm_read_from_pmud ());
   /* printf ("%s\n", pm->string); */
   printf ("%s\n", readpm_parsed_output (pm));

   readpm_free_pminfo (pm);

   return 0;
}
